package m3uebung03;

public class RenderThread extends Thread {
	
	DGLDemo demo = null;
	boolean exec = true;
	boolean pause = true;
	
	public RenderThread(DGLDemo dgl) {
		demo = dgl;
	}
	
	public void run() {
		
		System.out.println("start rendering");
		
		while (exec) {
			
			if (!pause) {
				demo.doit();
				demo.repaint();
			}

			try {
				Thread.sleep(16);
			} catch (InterruptedException ex) {
				ex.printStackTrace();
			}
		}
		System.out.println("stop rendering");
	}
	
	public void disable(){ 
		exec = false; 
	}
	
	public synchronized void pause(){
		
		pause = true;
	}
	
	public synchronized void unpause(){
		
		pause = false;
	}

}
